Subject: Re: [Sip] draft-ietf-sip-fork-loop-fix

From: Robert Sparks <[email-masked]>
Date: Fri, 31 Mar 2006 23:01:52 -0600

draft-ietf-sip-fork-loop-fix-01 has been submitted to the repository.
Until it shows up there, you can find it at:
http://www.nostrum.com/~rjsparks/draft-ietf-sip-fork-loop-fix-01.txt

Based on the discussions in the SIPPING meeting after Keith's note  
below was sent, I have NOT
changed the strength of the requirement to use the algorithm in 3261  
as indicated below. This
new version of the draft leaves the requirement at SHOULD.

I added text noting that branches to destinations created using  
outbound are known not to loop
and thus will satisfy the "MUST ensure the request does not loop"  
requirement without performing
additional loop detection. The wording is chosen to keep the new  
reference to outbound informative.

I removed the reference to the alternate loop detection algorithm  
being discussed in SIPPING.

I also corrected several spelling errors and changed "in the wild" to  
something hopefully easier
to translate.

This draft passes the idnits tool's checks. I believe it is ready for  
last call once it appears in the repository.

Thanks,

RjS

On Mar 22, 2006, at 2:45 PM, Drage, Keith (Keith) wrote:

> (as chair)
>
> The face-to-face sip session in ietf 65 identified that draft-ietf- 
> sip-fork-loop-fix is ready as follows.
>
> WGLC/Publish this draft at current scope (loop detection only)
> Continue discussions on other potential improvements as separate  
> efforts
>
> Robert will update the draft for resubmission as -01 early next  
> week with the following changes (plus some nit fixes):
>
> change 1: SHOULD use 3261 loop detection will change to MAY
> change 2: branches to connections created using the outbound mechanism
>           won't count towards requiring loop detection. That is, loop
>           detection will be MUST if retargetting to more than one  
> branch
>           that is not a connection established with outbound.
>
> If any members of the WG believe that this draft, with the  
> identified revisions, is not ready to move to WGLC, then please  
> identify this to the list, giving appropriate reasons for your  
> opinion.
>
> Additionally, if there are any NITS or other issues you have  
> noticed that need fixing, then please send them quickly to the list  
> or the authors as appropriate in order that the version going for  
> WGLC includes as many fixes as possible.
>
> regards
>
> Keith, Dean
>
> Keith Drage
> Lucent Technologies
> [email-masked]
> tel: +44 1793 776249
>
>
>
> _______________________________________________
> Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
> This list is for NEW development of the core SIP Protocol
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments on the application of sip

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip